API ReferenceTools

Execute toolv3.1

POST
/api/v3.1/tools/execute/{tool_slug}

Execute a specific tool operation with provided arguments and authentication. This is the primary endpoint for integrating with third-party services and executing tools. You can provide structured arguments or use natural language processing by providing a text description of what you want to accomplish.

Authorization

x-api-key<token>

Project API key authentication

In: header

Path Parameters

tool_slugstringRequired

The tool slug to execute

Header Parameters

x-llm-gateway-headersstring

JSON object containing custom headers to pass to LLM providers (OpenAI, Bedrock, etc.)

Request Body

application/json

connected_account_idstring

Unique identifier for the connected account to use for authentication

entity_idstringDeprecated

Deprecated: please use user_id instead. Entity identifier for multi-entity connected accounts (e.g. multiple repositories, organizations)

user_idstring

User id for multi-user connected accounts (e.g. multiple users, organizations)

versionstring

Tool version to execute (defaults to "00000000_00" if not specified)

custom_auth_paramsobject

Custom authentication parameters for tools that support parameterized authentication

custom_connection_dataobject

Custom connection data for tools that support custom connection data

argumentsobject

Key-value pairs of arguments required by the tool (mutually exclusive with text)

textstring

Natural language description of the task to perform (mutually exclusive with arguments)

allow_tracingnullable booleanDeprecated

Deprecated. Enable debug tracing for tool execution (useful for debugging)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3.1/tools/execute/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "run_id": 12345678,    "status": "queued",    "created_at": "2023-01-01T12:00:00Z",    "html_url": "https://github.com/octocat/Hello-World/actions/runs/12345678"  },  "error": "string",  "successful": true,  "session_info": {    "session_id": "session-12345",    "expires_at": "2023-01-01T13:00:00Z"  },  "log_id": "log_1a2b3c4d5e6f"}